(function(App, $){

    var gallery = {};

    $.extend(App.modules, { gallery : gallery });

    gallery.init = function(load){
        var self = this;

        if (! self.initialized) {
            $(document).on('tap', '.gallery-load', function(){
                var url = App.normalizeURL($(this).data('url')),
                    pageId = 'gallery-page-' + $(this).data('eventid');

                App.initSubPage({
                    pageId : pageId,
                    pageType : 'gallery',
                    url : url,
                    tmplData : {
                        backButtonLabel : 'News'
                    },
                    callback : function(page){
                        page.find('.gallery-list a').photoSwipe({
                            captionAndToolbarAutoHideDelay : 0
                        });
                    },
                    gaTitle : 'Gallery'
                });

                return false
            })
        }
    }

})(App, jQuery);