App.services.loader = {

    init : function() {
        var self = this;

        $.subscribe('loading/started', function() {
            self.showLoader();
            ++self.runningProcesses;
        });

        $.subscribe('loading/stopped', function() {
            if (--self.runningProcesses === 0) {
                self.hideLoader();
            }
        });

        $.subscribe('loading/error', function() {
            -- self.runningProcesses;
            self.hideLoader();
        });
    },

    showLoader : function() {
        $.mobile.loading('show');
    },

    hideLoader : function() {
        $.mobile.loading('hide');
    },

    runningProcesses : 0
};