APPCONF = {
	appUpdatePeriod : 3600000, //one hour,
	boxscoresUpdatePeriod : 30000,
	allowedBoxscores : 3, //boxscores more then this amount will be wiped

	messages : {
		noConnection : ' requires a connection to the internet',
		updateableBoxscore : 'Page will refresh every 30 seconds',
		notificationsFirstLaunch : 'You have not yet signed up for any sport notifications. \n Please select a sport to begin receiving notifications.'
	},

	plugins : {
		childBrowser : {
			showLocationBar: true 
		},
		genericPush : {
			androidId : '81921587804' //sender id
		}
	},

	//default sub-tabs content
	defaultType : { 
		'schedule' : 'scoreboard',
		'headlines' : 'headlines'
	},

	ver : '2.2', // templates version
	minorVer : '2.2.3', // shown on the about page
	
	notificationsEndPoint : '/action/frontrow/pushlists',
	
	moreNavbar : '/navbar-frontrow',
	defaultScheduleType : 'scoreboard', //default view for the schedule template

	defaultThumbnail : '/images/setup/thumbnail_default.jpg',

	classes : {
		activeBtn : 'ui-btn-active',
		persist : 'ui-state-persist'
	},

	packageIdPrefix : 'com.prestosports.'
}