App.services.moreNavbar = {
    init : function() {
        this.def = this.load();
    },

    getItems : function() {
        var def = $.Deferred(),
            self = this;

        if (this.data) {
            def.resolve(this.data);
        } else {
            this.def.then(function(data) {
                self.data = data;
                def.resolve(self.data);
            }, function() {
                def.reject();
            });
        }

        return def;
    },

    load : function() {
        return $.getJSON(App.normalizeURL(App.conf.moreNavbar + '?tmpl=fr-v' + App.conf.ver + '-navbar-template'));
    }
};
